LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (https://www.linuxquestions.org/questions/slackware-14/)
-   -   Thunderbird 91 AddOns (https://www.linuxquestions.org/questions/slackware-14/thunderbird-91-addons-4175699223/)

lioh 08-16-2021 01:02 PM

Thunderbird 91 AddOns
 
Hi all.

I have upgraded thunderbird to the latest version in -current which is 91 for now. I have noticed that several AddOns have been disabled, and also the German language support.

https://addons.thunderbird.net/en-US...k-de/versions/

The AddOn page states that it should be compatible with version 91. But even if I download it manually and try to install it I got an error like: this add-on could not be installed because it cannot be verified.

In advanced preferences, xpinstall.signatures.required is set to false, but it still does not work.

Greetings
Lioh

marav 08-17-2021 03:24 AM

1 Attachment(s)
The language pack does not seem to be supported yet for version 91.0

3rensho 08-17-2021 05:53 AM

German spell checking works fine on my T-Bird-91.0. I built it from source and did not use the pre-built package from Slackware

marav 08-17-2021 06:42 AM

Quote:

Originally Posted by 3rensho (Post 6275979)
German spell checking works fine on my T-Bird-91.0. I built it from source and did not use the pre-built package from Slackware

Spell checking works great with the slackware package too
It's more about the language packs

lioh 08-17-2021 09:36 AM

Exactly, it's about the language pack. Dictionary works fine here too.

3rensho 08-17-2021 10:20 AM

OK, sorry didn't read your post carefully. I just built TB-91.0.1 but the language pack xpi was still a no go.

mats_b_tegner 08-17-2021 01:16 PM

Confirmed. Add-ons seem to be broken on Thunderbird 91.0. Reverting to 78.0.12 restores add-on functionality. Themes for Firefox 91.0 load fine in Thunderbird 91.0. Seems like addons.thunderbird.net points to older versions incompatible with 91.x.
Edit:
Firefox 91.0.1 and Thunderbird 91.0.2 were rebuilt according to the latest ChangeLog. Language packs work as far I can tell.
Quote:

Mon Aug 23 20:05:36 UTC 2021
xap/mozilla-firefox-91.0.1-x86_64-2.txz: Rebuilt.
Rebuilt with: --with-unsigned-addon-scopes=app,system --allow-addon-sideload
xap/mozilla-thunderbird-91.0.2-x86_64-2.txz: Rebuilt.
Rebuilt with "export MOZ_REQUIRE_SIGNING=" to fix add-ons and language packs.
Thanks to marav.

Paulo2 08-17-2021 08:15 PM

Quote:

Originally Posted by mats_b_tegner (Post 6276105)
Confirmed. Add-ons seem to be broken on Thunderbird 91.0. Reverting to 78.0.12 restores add-on functionality. Themes for Firefox 91.0 load fine in Thunderbird 91.0. Seems like addons.thunderbird.net points to older versions incompatible with 91.x.

Thanks for this :) I was trying to install Live with Music theme from Thunderbird page and it was telling me that it was unverified.
Downloading it from Firefox page did work.
The .xpi file from Firefox (live_with_music-2.0-an+fx.xpi) is newer than that from Thunderbird (live_with_music-1.0-tb.xpi).

th_r 08-19-2021 11:36 AM

Hi All.

I confirm that the Thunderbird Slackware package (ver 91.0.1) has problems installing add-ons and language files.

The Thunderbird package from the official website work normal.

https://www.thunderbird.net/en-US/thunderbird/all/

marav 08-19-2021 12:02 PM

Quote:

Originally Posted by th_r (Post 6276744)
Hi All.

I confirm that the Thunderbird Slackware package (ver 91.0.1) has problems installing add-ons and language files.

The Thunderbird package from the official website work normal.

https://www.thunderbird.net/en-US/thunderbird/all/

Exactly

Here is the debug message, when I tried to add French language (or any other) :
Code:

1629388543895        addons.xpi-utils        WARN        Add-on langpack-fr@thunderbird.mozilla.org is not correctly signed. 2
1629388543896        addons.xpi        WARN        Download of https://addons.thunderbird.net/thunderbird/downloads/file/1019403/francais_fr_language_pack-91.0buildid20210805011554-tb.xpi?src= failed: signature is required but missing


marav 08-21-2021 06:55 AM

Hi,

I found an old Archlinux bug report, but it looks pretty similar:
https://bugs.archlinux.org/task/68688

Perhaps we could give these built options a try ?
Code:

--with-unsigned-addon-scopes=app,system
--allow-addon-sideload

For example, these built options :
--with-unsigned-addon-scopes=app
--allow-addon-sideload

are also enabled in the opensuse 91.0.1 src rpm

marav 08-21-2021 09:03 AM

Quote:

Originally Posted by marav (Post 6277280)
Hi,

I found an old Archlinux bug report, but it looks pretty similar:
https://bugs.archlinux.org/task/68688

Perhaps we could give these built options a try ?
Code:

--with-unsigned-addon-scopes=app,system
--allow-addon-sideload

For example, these built options :
--with-unsigned-addon-scopes=app
--allow-addon-sideload

are also enabled in the opensuse 91.0.1 src rpm

doesn't seem to work ... :-(

marav 08-21-2021 10:38 AM

Finally

I recompiled the slackbuild with :

Code:

export MACH_USE_SYSTEM_PYTHON="1"
export BUILD_OFFICIAL=1
export MOZILLA_OFFICIAL=1
export MOZ_PHOENIX=1
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
export MOZ_MAKE_FLAGS="$NUMJOBS"
+export MOZ_REQUIRE_SIGNING=

and (not sure about that)
Code:

OPTIONS="\
  --enable-official-branding \
  --prefix=/usr \
  --libdir=/usr/lib${LIBDIRSUFFIX} \
  --with-system-zlib \
  --with-system-nss \
  --with-system-nspr \
  --enable-alsa \
  --enable-application=comm/mail \
  --enable-default-toolkit=cairo-gtk3-wayland \
  --enable-linker=$LINKER \
  --disable-strip \
  --disable-install-strip \
  --enable-cpp-rtti \
  --enable-accessibility \
  --enable-optimize \
  $GOOGLE_API_KEY \
  --disable-crashreporter \
  --disable-debug-symbols \
  --disable-debug \
  --disable-elf-hack \
  --disable-tests \
  --disable-updater \
+  --with-unsigned-addon-scopes=app,system \
+  --allow-addon-sideload \

  --host=$ARCH-slackware-linux \
  --target=$ARCH-slackware-linux"

work for me

gargamel 08-21-2021 12:20 PM

Another confirmation that there is an issue with Add-ons, especially language support, of Thunderbird in Slackware64-current. The issue is still there with the update of today, 21st August, 2021, i.e. mozilla-thunderbird-91.0.2-x86_64-1.txz.

What I tried:

1. Add language in preferences
Add a language in preferences. Only English is installed and active. So I select German and click "Add". Thunderbird responds with the following error message:

Quote:

Thunderbird can't update your languages right now. Check that your are connected to the internet or try again.
2. Download language pack (xpi file)
As a second attempt I navigated to the download page for language packs. Clicking on the XPI file for German language support gives me the same error as mentioned by other posters: The package will not be installed because it is unsigned.

3. Open file
As a third option I thought I simply could download the XPI file and then use the file or import dialogue to open and install the language pack. However, Thunderbird would only open calendar files and saved e-mail messages in this recent version. Dead end. :(

Let's hope for fix before Slackware 15 is released, because, honestly, Thunderbird is one of the programs I use the most, and if that doesn't perform properly it's a real issue for me.

gargamel

john.bieling 08-21-2021 02:59 PM

Quote:

Originally Posted by lioh (Post 6275724)
Hi all.

I have upgraded thunderbird to the latest version in -current which is 91 for now. I have noticed that several AddOns have been disabled, and also the German language support.

The AddOn page states that it should be compatible with version 91. But even if I download it manually and try to install it I got an error like: this add-on could not be installed because it cannot be verified.

In advanced preferences, xpinstall.signatures.required is set to false, but it still does not work.

Greetings
Lioh

We have received multiple such reports, that the thunderbird package shipped with slackware is broken, as it requires add-ons to be signed (which we do not do) regardless of the value of the mentioned preference. If you download TB91 directly from thunderbird.net, everything works as expected.

Where can I find information about the maintainer or someone who is able to address this issue?

Thanks
John


All times are GMT -5. The time now is 10:48 AM.